# Class PedigreeEntry

java.lang.Object
org.snpeff.vcf.PedigreeEntry

public class PedigreeEntry extends Object
Pedigree entry in a VCF file header E.g.: ##PEDIGREE=invalid input: '<'Derived=Patient_01_Somatic,Original=Patient_01_Germline> or ##PEDIGREE=invalid input: '<'Child=CHILD-GENOME-ID,Mother=MOTHER-GENOME-ID,Father=FATHER-GENOME-ID>

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`child`
`int`
`childNum`
`String`
`father`
`int`
`fatherNum`
`String`
`mother`
`int`
`motherNum`

## Constructor Summary

Constructors
Constructor
Description
`PedigreeEntry(String original, String derived)`
`PedigreeEntry(String father, String mother, String child)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDerived()`
`int`
`getDerivedNum()`
`String`
`getOriginal()`
`int`
`getOriginalNum()`
`boolean`
`isDerived()`
Is this an 'Original-Derived' entry type?
`void`
`sampleNumbers(List<String> sampleNames)`
Find sample numbers in a list of sample names
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### father

public String father

### mother

public String mother

### child

public String child

### fatherNum

public int fatherNum

### motherNum

public int motherNum

### childNum

public int childNum

## Constructor Details

### PedigreeEntry

public PedigreeEntry(String original, String derived)

### PedigreeEntry

public PedigreeEntry(String father, String mother, String child)

## Method Details

### getDerived

public String getDerived()

### getDerivedNum

public int getDerivedNum()

### getOriginal

public String getOriginal()

### getOriginalNum

public int getOriginalNum()

### isDerived

public boolean isDerived()
Is this an 'Original-Derived' entry type?

Returns:

### sampleNumbers

public void sampleNumbers(List<String> sampleNames)
Find sample numbers in a list of sample names

Parameters:
  `sampleNames` -

### toString

public String toString()

Overrides:
  `toString` in class `Object`